changeset 1825:113125d864bc

<oerjan> cat q.2 >q
author HackBot
date Fri, 25 Jan 2013 21:11:24 +0000
parents 8c4f72925fb1
children 8949d5d1637d
files q
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/q	Fri Jan 25 21:11:15 2013 +0000
+++ b/q	Fri Jan 25 21:11:24 2013 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
 topic=$(echo "$1" | tr A-Z a-z | sed "s/ *$//")
 topic1=$(echo "$topic" | sed "s/s$//")
-([ \( "$topic" = "ngevd" \) -a \( -e wisdom/ngevd \) ] && cat /dev/urandom && exit 0; ) || [ -e "wisdom/$topic" ] && cat "wisdom/$topic" || [ -e "wisdom/$topic1" ] && cat "wisdom/$topic1" || { echo "$1? ��\(��_o)/��"; exit 1; }
+([ \( "$topic" = "ngevd" \) -a \( -e wisdom/ngevd \) ] && cat /dev/urandom && exit 0; ) || if [ -e "wisdom/$topic" ]; then cat "wisdom/$topic"; elif [ -e "wisdom/$topic1" ]; then cat "wisdom/$topic1"; else echo "$1? ��\(��_o)/��"; exit 1; fi